package com.example.nto.model.dto;

import com.example.nto.model.EmployeeRoleType;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeDTO {
    private String login;

    private String name;

    private String photo;

    private String position;

    private LocalDateTime lastVisit;

    @Enumerated(EnumType.STRING)
    private EmployeeRoleType role;

    private Boolean isBanned;
}
