package com.example.nto.repository;

import com.example.nto.model.entity.Employee;
import com.example.nto.model.entity.Entry;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface EntryRepository extends JpaRepository<Entry, Long> {

    List<Entry> findAllEntryByLogin(final String login);

}
